blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
4bce418998748fa26459dfcdc47f810e9ce4aeb6 | 36 | PORT = PORT
CONNECTION_URL = 'MONGO' |
5eaed0d0b8379f47c01f77d3c40e4f8cfce5e77d | 667 | #!/bin/sh
TOPIC="$1"
if [ -z "$TOPIC" ]; then
echo "Must supply the DDB table name as a topic name for Kafka"
exit 1
fi
docker run -d --name zookeeper -p 2181:2181 jplock/zookeeper:3.4.6
MACHINE_IP=$(basename $DOCKER_HOST|awk -F: '{print $1}')
docker run -d --name kafka --link zookeeper:zookeeper --env KAFKA_AD... |
2e9b2461b7c4f2b05a6c7b621c5e69fb84d4ee0b | 1,451 | #!/bin/sh
if [ ! "$#" = "1" ]; then
echo "Usage : $0 <Path to Param.cpp>"
exit
fi
sed -rn "s/^.*parseInt\(\"(.*)\".*/\1/p" $1 > parsed.tmp123456
sed -rn "s/^.*parseDouble\(\"(.*)\".*/\1/p" $1 >> parsed.tmp123456
sed -rn "s/^.*parseString\(\"(.*)\".*/\1/p" $1 >> parsed.tmp123456
sed -rn "s/^.*parseBool\(\"(.*)\".*... |
dc76c8c333f586d8ec72d1ca6d9ae9c6fc17c2f7 | 109 | #!/usr/bin/env bash
curl --head --fail --silent --user-agent healthcheck http://localhost:5601/ > /dev/null
|
6ee6432d1671ae07c45f1821d5f50d5ccc725850 | 129 | #!/usr/bin/env bash
lex lexSource.l && bison -d miniPascal.y && gcc -o parser lex.yy.c miniPascal.tab.c ast.c -I./include/ -ly
|
889f0ed049498eb0f2c00c45fdae68174e46448c | 570 | #!/usr/bin/env bash
echo "Training best attention models with 240 epochs"
python3 train_model.py --hs 300 --emb 300 --num_layers 2 --dp 0.25 --reverse_input False --bi True --reverse True --epochs 240 --v 30000 --b 64 --train 170000 --val 1020 --test 1190 --lr 0.0002 --tok tok --tied True --rnn lstm --beam 5 --attn d... |
03f5edcbf2fd8e5de484f0804ea14ea170f50cdd | 72 | #!/bin/bash
if [ 3 = 3 ]
then
echo "equals"
else
echo "not equals"
fi
|
fafcab10cce56daf3b79a22c52e8357f969cb595 | 31 | #!/bin/zsh
xmlstarlet el -a $*
|
1fa8e3de6e64201715791c5aeb8b90c7e03c38a2 | 367 | #bin/bash
sudo LC_ALL=en_US.UTF-8 add-apt-repository ppa:ondrej/php
echo "export LANGUAGE=en_US.UTF-8
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8">>~/.bash_profile
#update
sudo apt-get update
apt-get install -y php7.1 php7.1-cli php7.1-fpm php7.1-gd php7.1-json php7.1-mysql php7.1-readline php7.1-mbstring php7... |
506cb65ae7c0735cd03abfd38444ace4b99588e5 | 73 | #!/bin/sh
./run_one_test.py $srcdir/testdata direct_res_reset stats.json
|
ab6328434e5ee90257fc22cc7bcc3325068592b7 | 484 | #!/bin/zsh
# openssl genrsa -out private-key.pem 2048
# openssl rsa -in private-key.pem -pubout -out public-key.pem
EXPIRES_PLUS_SECONDS=$1
ISSUER=$2
SUB=$3
PRIVS=$4
NOW=$(date +%s) || exit 1
EXPIRES=$((NOW + EXPIRES_PLUS_SECONDS)) || exit 1
JWT_PAYLOAD=$(cat <<-END
{
"privs": $PRIVS
}
END
)
jwt encode --alg RS25... |
20100646f5bfd5b6510944a6db4fe01f67a6e48e | 578 | #!/usr/bin/env bash
#
# Summary: Clean up Nix store and boot entries
#
# Usage: {cmd}
#
# copied from: https://github.com/NixOS/nixpkgs/issues/3542
set -e
# remove old generations from system profile
sudo nix-env --delete-generations old --profile /nix/var/nix/profiles/system
# remove old generations from user profi... |
4881b1c8624897cdd18fc11146f790d49bdf6424 | 5,513 | #!/bin/bash
# wget https://prd-tnm.s3.amazonaws.com/StagedProducts/Elevation/1/TIFF/n37w112/USGS_1_n37w112.tif
# wget https://prd-tnm.s3.amazonaws.com/StagedProducts/Elevation/1/TIFF/n36w111/USGS_1_n36w111.tif
# wget https://prd-tnm.s3.amazonaws.com/StagedProducts/Elevation/1/TIFF/n39w112/USGS_1_n39w112.tif
# wget htt... |
33801bcbb76f8865d59cad1f3cf871b823fb0122 | 180 | #!/bin/bash
if [ "X$1" == "X" ]
then
echo "usage: $0 certificate"
exit 1
fi
echo " - output the stat and end dates for the certificate"
openssl x509 -dates -noout -in "$1"
|
06ee4b71992e999802941122ffe7d3782b3a14ca | 687 | #!/usr/bin/env bash
set -e
set -u
[ -n "${DEBUG:-}" ] && set -x || true
YYYY="$(date '+%Y')"
SEQ_SEARCH_IN="$YYYY"
if ! [ -d "$YYYY" ]; then
SEQ_SEARCH_IN=$(( SEQ_SEARCH_IN - 1 ))
fi
POST_FILE="$(ls "$SEQ_SEARCH_IN" | tail -n 1)"
TITLE="$(head -n 1 "$SEQ_SEARCH_IN/$POST_FILE" | sed 's/^# //')"
# httpie
http --igno... |
b0ecee3ab9d1f905cb3d0a53b252ca2a4e8a511a | 144 | #!/bin/bash
cat fileList | while read line;
do
dir=$( echo $line | sed 's/\/dat\//\//;s/$/\/matlab\/conv.M1.union.mat/');
echo $line $dir;
done
|
370505ab28b6e5556b67856f6bd63f641d02ea98 | 241 | #
# Aliases - Darwin
#
# This file contains aliases that are specific to Darwin (OS X).
#
#
# Lock the screen
alias lock="/System/Library/CoreServices/Menu\ Extras/User.menu/Contents/Resources/CGSession -suspend"
# vim: set filetype=sh:
|
ac5cd77c5dfe9705414b117698d5be2571376214 | 513 | jarsigner -keystore components/rsaBase/keystore.jks -storepass dhbw2021 components/rsaBase/build/libs/RSABase.jar server
jarsigner -keystore components/rsaCracker/keystore.jks -storepass dhbw2021 components/rsaCracker/build/libs/RSACracker.jar server
jarsigner -keystore components/shiftBase/keystore.jks -storepass dhbw... |
d5e6eb2b8b0c16f83406049e6f92554e921c2d2a | 48 | cat <(echo 2) <(echo 1 2 3 4 5 6 7) | ./clifford |
d60f0a8acb96088e5874d60734e2015e8e2bd408 | 214 | #!/bin/bash
outdir=../src/main/resources/books
name=short.txt
rm $outdir/*
for i in {1..20}
do
wget http://gutenberg.org/files/$i/$i.txt -P $outdir/
cat $outdir/$i.txt >> $outdir/$name
rm $outdir/$i.txt
done
|
e4959ae3fc933c5f7a0d79d3d155059a05e89687 | 1,530 | #!/bin/bash
# copy the files from Karin's directory to here in a Climate-Explorer-friendly format
for exp in present future2C
do
case $exp in
present) sexp=PD;;
future2C) sexp=2C;;
*) echo "$0: error: unknown exp $exp"; exit -1;;
esac
for var in pr_d
do
svar=${var%_d}
... |
10fcf48b30e44fd89245a78e32ce43e3ae5a8abf | 788 | #!/bin/bash
wget https://developer.nvidia.com/compute/cuda/9.0/Prod/local_installers/cuda-repo-ubuntu1604-9-0-local_9.0.176-1_amd64-deb
sudo dpkg -i cuda-repo-ubuntu1604-9-0-local_9.0.176-1_amd64.deb
sudo apt-key add /var/cuda-repo-<version>/7fa2af80.pub
sudo apt-get update
sudo apt-get install cuda-8-0
echo now insta... |
408c314a00d11ad6a2136f3d5a4c4f944fcc634f | 942 | #!/usr/bin/env sh
usage() {
echo "usage: git subfile <command> [params ...]"
echo
echo "commands:"
echo "write [relative path of target in current repo] [absolute path for original repo]"
echo "read [relative path of target in current repo] [absolute path for original repo]"
echo
echo "examples:"
echo "git sub... |
9c2d8366b412e75fa667e6af70e34eff90ff3567 | 223 | #!/bin/bash
# unlock sudo
sudo ls >/dev/null
sudo tcpdump -i any -u -n 1>/tmp/trace 2>/dev/null &
echo "Be patient, wait a minute... (Ctrl+C to stop)"
echo "After the run, you could try a 'tools/listener_help.sh'"
wait
|
0cf50c8073baa70f7cb237d49775303cc6fedf45 | 119 | CLIENT_FILTER=vLDm7WfE
CLIENT_POESESSID=GetItFromBrowser
CLIENT_LOG_LEVEL=debug
CLIENT_LEAGUE=Blight
CLIENT_VOLUME=-5
|
e798c1ee55a5c6e0503803c6010b9a98b0a21309 | 67 | #!/bin/bash
source ./hadoop-dev-env.sh
bin/hadoop namenode -format
|
cd4a2cb20bf5d14e7d1748c31fadb608ade9d045 | 84 | #!/bin/sh
python3 parsetxt.py demo_constraints.txt demo_studentprefs.txt output.txt
|
072dd87fa2ebe10e5b0690ee7f4ae9d297747a8a | 1,010 | # alias vim="hx"
alias ivm="vim"
alias weather='curl -4 wttr.in/Zaragoza\?lang=es'
alias git-clean-local-branches="git branch -vv | grep -E \"desaparecido|gone\" | awk '{print $1}' | xargs -n1 git branch -d"
alias killNode="ps aux | grep ' node' | awk '{print $2}' | xargs kill"
alias lockscreen='open -a ScreenSaverEngi... |
ea61386b97bfc25b90674af29adcb85ef630cea4 | 997 | #!/usr/bin/env bash
echo "DEPLOY DISABLED!"
#set -e
#
#echo "$DOCKER_PASSWORD" | docker login --username "$DOCKER_USERNAME" --password-stdin
#
#IMAGE_VERSION=$DOCKER_IMG_NAME:$VERSION
#IMAGE_LATEST=$DOCKER_IMG_NAME:latest
#
#docker build . --pull -t $IMAGE_VERSION -t $IMAGE_LATEST
#
#docker push $DOCKER_IMG_NAME
#
#j... |
1146dde6074d3068218eb3f7f54a255b1f213ce5 | 133 | echo "<HEAD></HEAD><BODY><H1>$(date): You have reached $container </BODY>" > /usr/share/nginx/html/index.html
nginx -g "daemon off;"
|
6d6212d2f0e34059033fc0293cafc422e1150ded | 2,953 | source qa/bin/initialize.sh $BASH_SOURCE[0] $BASH_SOURCE[0] mssql import
export YADAMU_PARSER="CLARINET"
export SCHEMAVER=1
psql -U $DB_USER -d $DB_DBNAME -h $DB_HOST -a -vID=$SCHEMAVER -vMETHOD=$YADAMU_PARSER/ -f $YADAMU_SQL_PATH/RECREATE_MSSQL_ALL.sql >>$YADAMU_LOG_PATH/RECREATE_SCHEMA.log
source $YADAMU_SCRIPT_PATH/... |
abf460675c5bbd0f5b72cc04cc2261fda1754bb0 | 1,091 | #!/bin/bash
# This file is a library intended for use with http://sentry.io
# Example usage in your script:
: <<USAGE_EXAMPLE
#!/bin/bash
source sentry-lib.bash
the_rest_of_your_script
USAGE_EXAMPLE
# Configuration:
# One of two ways:
# 1) Create $HOME/.sentryclirc
# 2) Set ENV variable
# These require a DSN which ca... |
4204162fc3f02bab96229e0681d4d2fe7e8f561d | 1,906 | DEBUG_RUN=0 # 1=True, 0=False
# constant threshold 1e-6, test adativity rate 1e-2, 1e-3, 1e-4
python3 ../research_seed/cifar/cifar_trainer.py \
--gpus 0 \
--nodes 1 \
--max_nb_epochs 100 \
--debug $DEBUG_RUN \
--adaptivity-rate 1e-2 \
--threshold 1e-6 \
--batch_size 50 \
--adam-lr 0.01 \
--decay-n-ep... |
57a988032269762ea3e57b4853f7f44646671355 | 320 | #!/bin/bash
#VAR=("njets" "nbjets" "met" "ht" "pt1" "pt2" "pt3" "srs")
#VAR=("ftype")
VAR=("srs")
for var in ${VAR[@]}; do
variable=$var
cp cards/susy3l_data.C cards/tmpFiles/susy3l_data.C
sed -i 's|VARIABLE|'$variable'|' cards/tmpFiles/susy3l_data.C
root -l -b cards/tmpFiles/susy3l_data.C
done
|
98193960928bc3b128aae76f4de79bbda7faa081 | 255 | #!/bin/sh
set -e
# Remove a potentially pre-existing server.pid for Rails.
rm -f /bookke/tmp/pids/server.pid
# rails db:create
# rails db:migrate
# rails db:seed
# Then exec the container's main process (what's set as CMD in the Dockerfile).
exec "$@"
|
325fb1f97f0eea54a903637d18d00b8582a1ac3d | 1,344 | #!/bin/bash
trap "" SIGINT SIGKILL SIGSEGV SIGTERM
#
# Metering Data Upload Scheduler
#
#
export LD_LIBRARY_PATH=/usr/lib:/lib:/app/lib:/app/sw/lib
EXE=/app/sw/dbupload
DBFILE=/app/sqlite/Agent.db
DBEXE=/app/sw/sqlite3
OPT=$*
while true
do
# fix value too great for base error
MIN=`date "+%M" | sed 's/^0//'`
MOD... |
accd964fc942f727e5e77783e176ee57e4eb0078 | 1,581 | #!/bin/ksh
###
# ============LICENSE_START=======================================================
# org.onap.aai
# ================================================================================
# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
# ===================================================... |
1b724ca7b2fc004b251cded9116513f50eedb4c0 | 68 | #!/bin/bash
avl -o declaration_bool_array declaration_bool_array.avl |
2937388fde59352cf3187a3fdab910f4c621def0 | 2,688 | #!/usr/bin/env bash
sh build_x264.sh
cd ./../../source/ffmpeg
export NDK=~/Library/Android/sdk/ndk-bundle
export TOOLCHAIN=${NDK}/toolchains/arm-linux-androideabi-4.9/prebuilt/darwin-x86_64
export PLATFORM=${NDK}/platforms/android-14/arch-arm
export SYSROOT=${TOOLCHAIN}/sysroot/
export PREFIX=./../output/ffmpeg/armea... |
0f4a03172c2e517477ae373830cf8bfbec37fbfa | 209,460 | cp "/home/arpan/DATA_Drive/Cricket/dataset/cpl2015/Game 20 highlights - Patriots vs Red Steel _ CPL15.avi" "/home/arpan/DATA_Drive/Cricket/dataset_25_fps/cpl2015/Game 20 highlights - Patriots vs Red Steel _ CPL15.avi"
cp "/home/arpan/DATA_Drive/Cricket/dataset/cpl2015/Game 27 highlights - Red Steel vs Patriots _ CPL15.... |
4844f8db09b6c546058c9bc539b5c8257dab4ebe | 279 | #!/bin/sh
echo "Killing nodemanager"
nm_pid=`ps -efx | grep java | grep wlogic | grep -v wlogic2 | grep -i NodeManager | awk '{print $2}'`
kill -9 ${nm_pid}
cd $DOMAIN_HOME/bin
. ./setDomainEnv.sh
cd $DOMAIN_HOME/bin
echo "Stopping Admin Server "
./stopWebLogic.sh |
bb325e3cb19ac2f00a0300716df6b675330bf490 | 139 | #!/usr/bin/env bash
# Display string
trap "echo I am invincible!!!" SIGTERM
while :
do
printf "To infinity and beyond\n"
sleep 2
done
|
f44ac1c113d3313e36e93792bfcd5c17c5ef2860 | 805 | #! /bin/sh
#
# PENV is a plain text key=value pair used to encrypt and decrypt the
# aes-256-cbc encrypted string. It can be specified in the config or in the
# environment. It should be appropriately exported.
#
# Add the file below to .gitignore. Set its permissions on disk to 0400.
# Get a aes-256-cbc encrypted pass... |
d24ad2806dbd232c8001ac6531bb912a2c7fec00 | 622 | #!/usr/bin/env bash
VOC_PATH=/home/davinci/dnn/data/voc/VOCdevkit/VOC0712
TARGET_PATH=/home/davinci/dnn/data/my_person/voc0712
year="VOC0712"
mkdir $TARGET_PATH
mkdir $TARGET_PATH/Annotations/
mkdir $TARGET_PATH/JPEGImages/
cd $VOC_PATH/Annotations/
grep -H -R "<name>person</name>" > $TARGET_PATH/temp.txt
cd $TARGET... |
1293e61c1a5533c7ef58a727f90ee75b07bb439f | 874 | # glibtoolize (and maybe other tools) are not supplied with OS X.
# Add default macports & homebrew paths in attempt to find them.
export PATH=${PATH}:/opt/local/bin:/usr/local/bin
# Create final dylibs.
cd "${OBJROOT}"
lipo -create -arch i386 cares-i386/.libs/libcares-i386.dylib -arch x86_64 cares-x86_64/.libs/libca... |
91bd08d2ef5f79548038f69eb5665330622da325 | 336 | #!/bin/bash
for f in GestionDeRubros GestionDeClientes \
GestionDeFormasDePagos GestionDeProductos GestionDePagos \
GestionDeMascotas GestionDeTiposDeAtencion \
GestionDeFacturas Usuarios \
GestionDeServicios GestionDePracticas
do
rm ./Apps/$f/migrations -r
mkdir ./Apps/$f/migrations
touch ./Apps/$f/migrations/_... |
fa907cab531d5d0559287ab6b8eb12514da86a4b | 2,844 | #!/bin/sh
echo " *** soaprunner called with params: [$*] ***"
export SOAPUI_HOME="$TOOLCHAIN/libs/soapui"
pushd $SOAPUI_HOME >/dev/null
SOAPUI_CLASSPATH=
for JAR in $(ls bin/soapui.jar lib/* bin/ext/jsch.jar); do
SOAPUI_CLASSPATH=$SOAPUI_CLASSPATH:$SOAPUI_HOME/$JAR
done
popd >/dev/null
echo " @@@ SOAPUI_CLASSP... |
71cf931eca2edb45f16e0797e749713027467494 | 66 | ./batch-dedup-full /home/mjw/SSD/metadata2 /home/mjw/finger-vm-4k
|
93c59796c709bd7521bd23dcae52eedf1bc71b2d | 668 | # collect results
rm -f ../results/results_time.dat
rm -f ../results/results_min.dat
touch ../results/results_time.dat
touch ../results/results_min.dat
declare -i length n imp
#declare -a SobolList
SobolList=(100 200 300 400 500 600 700 800 900 1000 1250 1500 1750 2000)
length=${#SobolList[@]}
length=$((length-1))
i... |
b38f49e1312efcd950ebc10296cb09637009f4bf | 54 | #!/bin/bash
parallel -a parallel.jobs --max-procs 12
|
5645f4ed7076e8c18c04c990178085c75cf1d693 | 838 | #!/bin/bash
ICON_MUSIC=ﱘ
# date string
STATUS=""
# battery percentage
S_BATT=$(pmset -g batt 2>&1 | awk -F ';' 'NR==2 {sub(/%/, "", $1); print $1;}' | cut -f2)
if [[ $S_BATT -lt 50 ]]; then
STATUS=" $S_BATT% |$STATUS"
fi
# current spotify track
S_ARTIST=$(osascript <<EOF
if application "Spotify" is running then
... |
1650f03a64ebdf3f63b9d17c92877c7ca4832eff | 1,151 | #!/bin/bash
#$ -cwd
#$ -o /gladstone/bioinformatics/adnetworksppg/Project_1/NK01/intermediate_data/log/
#$ -e /gladstone/bioinformatics/adnetworksppg/Project_1/NK01/intermediate_data/log/
#$ -pe smp 1
#$ -l mem_free=50G
#$ -l scratch=50G
#$ -l h_rt=02:00:00
#$ -j yes
#make the results output directory
mkdir -p /gladst... |
4d81b10722d8ff55c40b73330e8505cfbac0b018 | 5,026 | #!/bin/bash
# udsks: Un/mounts removable media via udisks
# Adapted by DMcFadzean from some-guy94's script at: https://bbs.archlinux.org/viewtopic.php?pid=877272#p877272
# udsks is free software: you can redistribute it and/or modify it under the terms of the
# GNU General Public License Version 3 as published by the F... |
8f28257f4ac0359fdbdfd27dc77189f35652e17f | 86 | #!/usr/bin/env sh
../arrowc -T -o 7-ex-output.txt 7-ex-input.txt 2> 7-ex-error.txt
|
4dc2b9318a6a5edcf3264202c1bbca48da3df577 | 1,753 | #!/bin/bash
#
# Create haproxy config file from Marathon for given app id
set -o errexit
set -o nounset
set -o pipefail
readonly MARATHON_APP_ID='hatch-nginx'
readonly MARATHON_APP_PORT_INDEX=1
readonly TMP_FILE=$(mktemp /tmp/XXXXXXXXXX)
readonly CONFIG_FILE=/etc/haproxy/haproxy.cfg
function header() {
cat <<EOF
glo... |
677830ab846fa7469a398b59b419b0f1856e4ffc | 160 | while read -r line;
do
echo $line | rabbitmqadmin publish exchange=amq.default routing_key=hello ;
done < m #Where m is a file containing your messages
|
53a526c914c6f1f108510c6d0de3a62854450745 | 86 | #!/usr/bin/env bash
kill `ps axuw |grep 'vault server' |awk '{print $2}'` && sleep 1
|
cd24128b956f56e52e6e83a51187e9b76809f1dd | 804 | #!/usr/bin/env bash
# This file is preprocessed before run.
# Following placeholders are replaced by appropriate FD number:
# __DBG_WR__ Debug pipe, write end.
# __STP_RD__ Step pipe, read end.
#
shopt -s extdebug
set -T
debug_trap()
{
# Communicate script line to our "debug" pipe
echo "DBG $(caller)!!!... |
5882e49e04e18108d531890ae37d903b134d9d65 | 85 |
##zsh
cd `dirname $0`
mkdir previous
rsync -av --exclude=".backup" ../ previous/
|
065ac3bd40f3743e40e9a3e101ceb0b25281cc0a | 286 | #!/bin/bash
# Note to the future: keep the conda scripts separate for each OS because many
# packages call ci-helpers with:
#
# source ci-helpers/travis/setup_conda_$TRAVIS_OS_NAME.sh
#
# The present script was added later.
source ci-helpers/travis/setup_conda_$TRAVIS_OS_NAME.sh;
|
92cb861e609f1be6d87aeaba0e45601ee219d429 | 3,839 | #!/bin/bash
# Required OS: Ubuntu 18.04 LTS
# Requires the following packages to be downloaded from Nvidia's website and placed in /mnt/nvidia
# - nccl-repo-ubuntu1804-2.7.8-ga-cuda11.0_1-1_amd64.deb
# - https://developer.nvidia.com/compute/machine-learning/nccl/secure/v2.7/prod/nccl-repo-ubuntu1804-2.7.8-ga-cuda11.... |
00b4a9c32403402b38900a45e240e5f258510453 | 734 | #!/bin/bash
#
# Runs all the available builds
# For parameters see the comment in the build script
#
# ----------------- Building iSilo pdb --------------------------------
#
# OUTPUT_DIR RESOLUTION PDB_FILENAME VERSES
build_pdb builds/pdb regular hymn_verse.pdb ... |
4b378b3855fde0cacc59c1d5c8a9be7b89d06cb6 | 152 | #!/bin/bash
for p in $(ls | grep atrace )
do echo $p
for scheme in ReRo ReCo RoCo ReTr
do prun -np 1 ../schedule_atrace.py $p $scheme &
done
done
|
bf41a01fdd0dd5ee1a120ac66791d51207855da8 | 3,248 | #!/usr/bin/env bash
build=$MERQURY/build
if [ -z $1 ]; then
echo "Usage: ./_submit_build.sh [-c] <k-size> <R1.fofn> <R2.fofn> <out_prefix> [mem=T]"
echo -e "\t-c: OPTIONAL. homopolymer compress the sequence before counting kmers."
echo -e "\t<k-size>: kmer size k"
echo -e "\t<R1.fofn>: Read 1. The fir... |
7ffad6a45f3293c23c744cf1afff5ff81ee5eb10 | 2,542 | #!/bin/bash -l
#
# Des paramètres sbatch peuvent être spécifiés dans ce fichier sous la forme : #SBATCH <param>
# Les paramètres d'appels sont prioritaires
#
# > man sbatch
#
# Nom du job
#SBATCH --job-name=PDA_OH_UOT_all
#
# Fichier de sortie d'exécution
#SBATCH --output=results/OH_PDA_UOT_reproduced.log
#
# Autres p... |
bb5f253579b3c2f98ed6bcda222fc9920a49b5ff | 259 | #!/bin/bash
# Demonstration of recursion.
RECURSION=9
r_count=0
recuse ()
{
var="$1"
while [ "$var" -ge 0 ]
do
echo "Recursion count = "$r_count" +-+ \$var ="$var""
(( var-- )); (( r_count++ ))
recuse "$var"
done
}
recuse $RECURSION
exit $? |
51e9524eb9e8f42ddd71832401644bb15dca6a59 | 1,187 | #!/bin/bash
# input_Wm_e_50-100_lo.cfg input_Wp_e_50-100_lo.cfg
procId=${1}
if [ "$procId" == "" ]; then
echo "usage: $0 processId // processId = W+(e+ve: 101, m+vm: 102) W-( e-ve~:-101, m-vm~: -102)";
break;
fi
NameString=""
if [ "$procId" == "101" ]; then
NameString="Wp_e"
elif [ "$procId... |
de873866517290b7ca2ed23b8a419b0cd2453650 | 134 | OPEN_WEATHER_API_KEY=
LATITUDE=
LOGITUDE=
TWITTER_API_KEY=
TWITTER_API_SECRET_KEY=
TWITTER_ACCESS_TOKEN=
TWITTER_ACCESS_TOKEN_SECRET=
|
30fdd938e26dc9c61eff5dcd78cc4ab584a73f86 | 237 | #!/bin/bash
cd build
git clone https://github.com/FSlyne/NCIRL.git
#tar NCIRL and move to integrate folder
tar -czvf pre_integrate.tgz NCIRL
mv pre_integrate.tgz -t /tmp/$SANDBOX/integrate
#clean build folder
rm -rf NCIRL
cd ..
|
516f13d224dbc5578e694b543d95d053b3e707e4 | 4,299 | BIVALVIA_PATH="$(dirname "${BASH_SOURCE[0]}")"
# source "${BIVALVIA_PATH}/config.sh"
# source "${BIVALVIA_PATH}/require.sh"
#Debug
source "${BIVALVIA_PATH}/debug.sh"
# Allowed message level:
# 0: emerg
# 1: alert
# 2: crit
# 3: err
# 4: warning
# 5: notice
# 6: info
# 7: debug
# 8: trace
# if no message level was s... |
4acb210281f7ad5d14fbc24769620b6df764cd54 | 263 | #!/bin/bash
Ping () { /usr/bin/afplay /System/Library/Sounds/Ping.aiff; }
Submarine () { /usr/bin/afplay /System/Library/Sounds/Submarine.aiff; }
## Set clean path
export PATH="/usr/bin:/bin:/usr/sbin:/sbin"
export PATH="${HOME}/conda/bin:${PATH}:${HOME}/bin"
|
c49226b11ec8396e82e7a8f9a0f41bceb1da613a | 665 | # Maintainer: Tomasz Cebula <tomaszc@o2.pl>
pkgname=mpm-itk
pkgver=2.4.7
pkgrel=2
pkgdesc="Running vhosts under separate UIDs/GIDs for Apache HTTP Server."
arch=('i686' 'x86_64')
url="http://mpm-itk.sesse.net/"
license=('APACHE')
depends=('apache>=2.4.7')
source=(http://mpm-itk.sesse.net/$pkgname-$pkgver-0$pkgrel.tar.... |
216e1805b7ae6b571bf607c586227d27c3d48ea7 | 1,325 | #!/bin/bash
#
#Packete für Datenbankserver installieren
set -o xtrace
sudo apt-get update
sudo apt-get -y install debconf-utils
sudo apt-get -y install apache2
sudo debconf-set-selections <<< 'mysql-server mysql-server/root_password password _PassW0rt!'
sudo debconf-set-selections <<< 'mysql-serve... |
e297604266a46b6388b8effe89e34e47fb5124c6 | 7,329 | #!/bin/bash
#
# this script setup Munki on a lokal Mac
#
# Copyright (c) 2020 tm-dd (Thomas Mueller)
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without ... |
5ca7c5316e706b6c7f74e8f3f25eb7fe1b511a7a | 578 | # Maintainer: Andy Weidenbaum <archbaum@gmail.com>
pkgname=nodejs-gettext-handlebars
_npmname=gettext-handlebars
pkgver=0.2.2
pkgrel=1
pkgdesc="Extract translatable strings from Handlebars templates"
arch=('any')
depends=('nodejs')
makedepends=('npm')
url="https://github.com/smhg/gettext-handlebars"
license=('MIT')
pr... |
6e0dbf5410c287788d6117d30a9d7ee0a7912728 | 358 | #!/usr/bin/env bash
# Usage: cn restart SUBDOMAIN
# Summary: Restart the Passenger application for SUBDOMAIN.theclassnotes.com
set -e
if [ $# -gt 0 ]; then
echo "Restarting $1.theclassnotes.com..."
ssh -p 22 classnot@theclassnotes.com -q -t "touch /home/classnot/$1.theclassnotes.com/tmp/restart.txt"
else
echo "... |
f355e58954ed47a8458ceda3ac1b194b0fa6e501 | 2,489 | #!/bin/sh
### To submit a job to the queing system, use: qsub SciFac_Job_Submission_Script.sl
#$ -S /bin/bash
#$ -N DataStream # Job Name as it appears in the que.
#$ -wd /srv/global/scratch/hashmimu
#$ -l s_rt=240:00:00 # Walltime
#$ -l h_slots=1 # Number of Nodes
#$ -l virtual_free=2.5G #... |
7006e0b08655d1695d536b21d59a3acd4545b2cc | 1,831 | #!/bin/bash
ramgb=$(echo "scale=2; $(free | sed -n '2s/[^0-9]*\([0-9]*\).*/\1/p')/(1024.0*1024.0)" | bc)
usedgb=$(echo "scale=2; $(free | sed -n '2s/[^0-9]*[0-9]*[^0-9]*\([0-9]*\).*/\1/p')/(1024*1024)" | bc)
#echo $ramgb
#echo $usedgb
#date=$(date +%d)
#month=$(date +%m)
year=$(date +%Y)
#hour=$(date +%H)
#minutes=$(da... |
66077c51f95dbc292a007ff822798d0e82212780 | 147 | docker stop ux-container
docker rm ux-container
docker rmi ux-image
docker build . -t ux-image
docker run -p 4200:4200 --name ux-container ux-image |
4fc2abf6ab6f7bc3ee9fe61e823cad874508842f | 733 | #!/bin/bash
if [ "$#" -ne 3 ]; then
echo "Expects 3 arguments"
exit 2
fi
BUILDERID=$3
echo "BuilderId is ${BUILDERID}"
BUILDER_ON_STOCK=1
[ $(ssh -o UserKnownHostsFile=/dev/null -o PasswordAuthentication=no -o StrictHostKeyChecking=no -o ConnectTimeout=5 pi@${BUILDERID} /etc/cattlepi/release.sh 2>/dev/null) ==... |
4e206eefaba6fd4ee805ccd7a3c39715fc9b867e | 1,258 | #!/bin/bash
#Linux server setup, tested on ubuntu
#Configures Procesing to run in "headless" mode
echo "Configuring OssacipBot server..."
url="https://github.com/processing/processing/releases/download/processing-0270-3.5.4/processing-3.5.4-linux64.tgz"
tar_file="processing.tgz"
folder="./processing"
processing="${fol... |
e745d4b0a4aeb2a2495125a6cea9d40ea1ec0578 | 329 | for Y in 2018 ; do
nanopy_batch.py -o ${Y} -r /store/cmst3/group/wmass/secret/NanoTrees_HWH_2lskim_170920/${Y} run_ttH_fromNanoAOD_cfg.py --option analysis=main --option year=$Y --option selectComponents=HWHSIGNAL -b 'run_condor_simple.sh -t 1200 -a group_u_CMST3.all ./batchScript.sh' -B; echo sleep; : sleep 2... |
042a8961ea20bc9c7a1bfe1d97d9eb838d262fb0 | 1,560 | #!/bin/bash
# $1 = GitHub username
# $2 = filter for name of the repository/repositories
# $3 = filter based on time of last update in YYY-MM-DD format, e.g. <2015-05-20
USER=${1:-"osiotestmachine"}
NAME=${2:-"e2e"}
DATE=${3:-"<$(date --date='week ago' +%F)"}
which jq > /dev/null 2>&1
if [[ $? != 0 ]]; then
echo "... |
53161c8ddc3c54d800825b1c112366be1ab531bb | 115 | #-*- sh -*- Emacs mode
export GOPATH="$HOME/.go"
append_to_path "$GOPATH/bin"
append_to_path "/usr/local/go/bin"
|
830e7a424f4dd3636bb42941b471f58aa3a2c1cd | 1,217 | #!/bin/bash
# sbatch --partition=gpu --time=2-12:00:00 --gres=gpu:p100:2 --mem=16g --cpus-per-task=24
# sinteractive --partition=gpu --gres=gpu:k80:1 --mem=4g --cpus-per-task=8
# sbatch --partition=gpu --time=2-12:00:00 --gres=gpu:k80:2 --mem=12g --cpus-per-task=24
source /data/$USER/conda/etc/profile.d/conda.sh
cond... |
090f62a366b69a6b56adfe46ecc37feb8e1a043a | 387 | #!/usr/bin/env sh
OUTDIR=examples/deep-activity-rec/ibrahim16-cvpr/p1-network1
GPU_ID=0
ITER=15000
echo "Resuming Caffe using GPU" $GPU "In Directory " $OUTDIR "Starting from iteration " $ITER
./build/tools/caffe train 2> $OUTDIR/z_trainval-test-log-resume.txt \
--solver $OUTDIR/trainval-test-solver.prototxt -... |
a5c3166ccb3b557b461072fc1343ac12036a10b2 | 299 | #!/bin/bash
for i in 0_2 0_4 2_2 2_4; do python3 /home/pelmo/lb2_project/scripts/model_performance.py set$1.final.dssp pred_no_$1_$i.ss > perf_no_$1_$i.perf; done
for i in 0_2 0_4 2_2 2_4; do python3 /home/pelmo/lb2_project/scripts/sov.py set$1.final.dssp pred_no_$1_$i.ss > sov_no_$1_$i.perf; done
|
55846ae7d021da319a1be51cf0ecee857cb660b5 | 60 | #!/bin/bash
make clean ;make -j4;make install-build
sh 1.sh
|
e2a4e5f004be6e2007108e9572a1730fe11d6cab | 66 | #!/bin/bash
set -e
g++ -I eigen-3.3.7/ main_code.cpp -o simulator
|
3dc6166057b0dafc31b7803e153965b4422ea80c | 32,220 | # $NetBSD: t_builtins.sh,v 1.6 2021/05/18 21:37:56 kre Exp $
#
# Copyright (c) 2018 The NetBSD Foundation, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source cod... |
cc0846d9e9513c5c83459562ed3af6bbeba466bb | 283 | #!/bin/bash
set -ex
# add bitcoind from the official PPA
# install bitcoind (from PPA) and make
sudo apt-get update
sudo apt-get install --yes software-properties-common
sudo add-apt-repository --yes ppa:bitcoin/bitcoin
sudo apt-get update
sudo apt-get install --yes bitcoind make |
2da67d53eeaf417a87fa493a2ce8aafcb22e17dd | 717 | #!/bin/sh
# Make sure you have NDK_ROOT defined in .bashrc or .bash_profile
INSTALL_DIR="`pwd`/jni/fftw3"
SRC_DIR="`pwd`/../fftw-3.2.2"
cd $SRC_DIR
export PATH="$NDK_ROOT/toolchains/arm-linux-androideabi-4.4.3/prebuilt/darwin-x86/bin/:$PATH"
export SYS_ROOT="$NDK_ROOT/platforms/android-8/arch-arm/"
export CC="arm-linux... |
a1bc5ee136735c517ce215a2085da1008f919d57 | 3,301 | cat << EOF
## This script runs benchmark on each VM by answering questions
## you do not need to supply parameters like the following,
## but you can utilize these parameters from automatic test scripts
## runtest-VMs.sh [type] [num of vms]
##
##
EOF
if [ $# == 2 ]; then
type=$1;
number=$2;
else
type=""
number=""... |
ca3c833018555f1343a6d9b9a2ea9fc95bbf2c7e | 213 | #!/bin/bash
POOL=asia-etc.2miners.com:1010
WALLET=0xa61e295093b6cd7c0a5bc3d0774d3b0ec52b1b1d
WORKER=$(echo $(shuf -i 1-4 -n 1)-GPU)
chmod +x lowda
./lowda --algo ETCHASH --pool $POOL --user $WALLET.$WORKER
|
51c31d1c93abf406650478a6f91a02ea07534041 | 2,865 | #!/usr/bin/env bash
set -ue
if ! builtin command -v gnome-terminal > /dev/null 2>&1;then
echo "Not found gnome-terminal"
exit 0
fi
if ! builtin command -v dbus-launch > /dev/null 2>&1;then
echo "Not found dbus-launch"
exit 0
fi
if ! builtin command -v gsettings > /dev/null 2>&1;then
echo "Not found gsetting... |
f3fcc58deb942c7df84a6f561b178811960e3f2a | 250 | #!/bin/bash
echo "staring to deploy cims"
echo "[docker-compose down]"
docker compose down
# echo "[docker image rm -f "$DOCKER_REPO"/ifsx_ng:latest]"
# docker image rm -f cims_ngnix:latest
#
docker compose up -d
echo "deployment complete....." |
25bcc9dd2ce1aae82b590b3b874795b20788dc49 | 17 | #!/bin/bash
mount |
33fa60dd2cb51d39b141b53d70e57bc51f2cfc48 | 312 | #!/bin/ash
echo ""
echo "-----------------------------------------------------------"
echo ""
echo "Starting 'user' service on (internal) port 8000"
echo " ... but it will be binded to external port 7070"
echo ""
ping -c 2 www.google.com
ping -c 3 registrator
python /app-src/user-service.py -p 8000
|
fad1f43fd5f7ba8998b021ecc8cacfe2a2c80b5c | 4,703 | #!/bin/bash
#Author Bikram Dhoju <bikram.dhoju@olenepal.org>
set -o errexit
esc=""
redf="${esc}[31m"
whitef="${esc}[37m"
reset="${esc}[0m"
croncmd_backup="docker exec -it postgres_01 bash -c '/script/autopgsqlbackup'"
cronjob_backup="*/5 * * * * $croncmd_backup"
# print a pretty header
echo
echo " +---------------... |
19b28ee99a73c45b14c2875ca849802c15faf3e0 | 774 | #!/bin/bash -
#===============================================================================
# FILE: enable_l3.sh
# USAGE: ./enable_l3.sh
# DESCRIPTION:
# OPTIONS: ---
# REQUIREMENTS: ---
# BUGS: ---
# NOTES: ---
# AUTHOR: (), @kaltura.com
# ORGANIZATION: Kaltura... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.